function d_datest( str )
%D_DATEST is the callback function for the Time-Stamp/Menu of any snapshot 
%         figure generated by the Snapshot/Menu in the DISPLAY window.
%
%         D_DATEST ON  turns on  the time-date-string.
%         D_DATEST OFF turns off the time-date-string.

%
%    Author: Mehmet Zeytinoglu (mzeytin@ee.ryerson.ca)
%            Department of Electrical and Computer Engineering
%            Ryerson Polytechnic University
%            Toronto, Ontario, M5B 2K3 
%            CANADA
%            
%    Copyright (c) 1997 Mehmet Zeytinoglu
%
%    $Revision: 1.3 $    $Date: 1997/03/11 16:18:10 $
%

H  = findobj( gcf, 'Type', 'uimenu', 'Userdata',  'timestamp'   );
HH = findobj(   H,    'flat',   'Tag',     [ 'time:' str ] );

set( H(H==HH), 'Checked', 'on' );
set( H(H~=HH), 'Checked', 'off' );

dateme(str)

